<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (stristr(htmlentities($_SERVER['PHP_SELF']), "path.php")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

global $pathtext;

$checkid = @intval($_GET['id']);
$checkop = @inCode($_GET['op']);
$argid = $checkid;

switch ($checkop) {
	case "read":
		$row = $dblink->get_row("SELECT argomento,domanda FROM memht_faq WHERE id=$checkid");
		$argid = intval($row['argomento']);		
		$domanda = outCode($row['domanda']);
		$faqname = " > <a href='index.php?page=faq&op=read&id=$checkid' title=\"$domanda\">$domanda</a>";
	case "arg":
		$row = $dblink->get_row("SELECT nome FROM memht_faq_categorie WHERE id=$argid");
		$faqarg = outCode($row['nome']);
		$pathtext .= " > <a href='index.php?page=faq&op=arg&id=$argid&title=".mem_urlencode($faqarg)."' title=\"$faqarg\">$faqarg</a>";
		if (!empty($faqname)) { $pathtext .= "$faqname"; }
	break;
}

?>